restinio::impl::empty_buf_t Class Referencefinal

Empty buffer entity. More...

`#include <buffers.hpp>`

Inheritance diagram for restinio::impl::empty_buf_t:

## Public Member Functions

| empty_buf_t () noexcept
| empty_buf_t (const empty_buf_t &)=delete
empty_buf_t & | operator= (const empty_buf_t &)=delete
| empty_buf_t (empty_buf_t &&)=default
empty_buf_t & | operator= (empty_buf_t &&)=delete
An implementation of writable_base_t interface.

See also
  writable_base_t

virtual asio_ns::const_buffer | buffer () const override
| Get asio buf entity. More...
virtual void | relocate_to (void *storage) override
| Move this buffer enitity to a given location. More...
An implementation of buf_iface_t interface.

See also
  buf_iface_t

virtual std::size_t | size () const override
| Get the size of a writable piece of data. More...
virtual asio_ns::const_buffer | buffer () const =0
| Get asio buf entity. More...
Public Member Functions inherited from restinio::impl::writable_base_t
| writable_base_t ()=default
| writable_base_t (const writable_base_t &)=default
| writable_base_t (writable_base_t &&)=default
writable_base_t & | operator= (const writable_base_t &)=delete
writable_base_t & | operator= (writable_base_t &&)=delete
virtual | ~writable_base_t ()
virtual void | relocate_to (void *storage)=0
| Move this buffer enitity to a given location. More...
virtual std::size_t | size () const =0
| Get the size of a writable piece of data. More...

## Detailed Description

Empty buffer entity.

Definition at line 91 of file buffers.hpp.

## Constructor & Destructor Documentation

## empty_buf_t() [1/3]

restinio::impl::empty_buf_t::empty_buf_t | ( |  | ) |

inlinenoexcept

Definition at line 94 of file buffers.hpp.

## empty_buf_t() [2/3]

restinio::impl::empty_buf_t::empty_buf_t | ( | const empty_buf_t & |  | ) |

delete

## empty_buf_t() [3/3]

restinio::impl::empty_buf_t::empty_buf_t | ( | empty_buf_t && |  | ) |

default

## Member Function Documentation

## buffer()

virtual asio_ns::const_buffer restinio::impl::empty_buf_t::buffer | ( |  | ) | const

inlineoverridevirtual

Get asio buf entity.

Prepares an item for being used with ASIO API.

Implements restinio::impl::buf_iface_t.

Definition at line 108 of file buffers.hpp.

## operator=() [1/2]

empty_buf_t & restinio::impl::empty_buf_t::operator= | ( | const empty_buf_t & |  | ) |

delete

## operator=() [2/2]

empty_buf_t & restinio::impl::empty_buf_t::operator= | ( | empty_buf_t && |  | ) |

delete

## relocate_to()

virtual void restinio::impl::empty_buf_t::relocate_to | ( | void * | storage | ) |

inlineoverridevirtual

Move this buffer enitity to a given location.

Note
  storage must have a sufficient space and proper alignment.

Implements restinio::impl::writable_base_t.

Definition at line 113 of file buffers.hpp.

## size()

virtual std::size_t restinio::impl::empty_buf_t::size | ( |  | ) | const

inlineoverridevirtual

Get the size of a writable piece of data.

Implements restinio::impl::writable_base_t.

Definition at line 125 of file buffers.hpp.

The documentation for this class was generated from the following file:

- restinio/buffers.hpp